PHP Manual
Prev |  | Next

# pg_delete

(PHP 4 >= 4.3.0, PHP 5)

pg_delete -- Deletes records

## Description

mixed pg_delete ( resource connection, string table_name, array assoc_array [, int options] )

pg_delete() deletes records from a table specified by the keys and values in assoc_array. If options is specified, pg_convert() is applied to assoc_array with the specified options.

## Parameters

connection

  PostgreSQL database connection resource.

table_name

  Name of the table from which to delete rows.

assoc_array

  An array whose keys are field names in the table table_name, and whose values are the values of those fields that are to be deleted.

options

  Any number of `PGSQL_CONV_FORCE_NULL`, `PGSQL_DML_NO_CONV`, `PGSQL_DML_EXEC` or `PGSQL_DML_STRING` combined. If `PGSQL_DML_STRING` is part of the options then query string is returned.

## Return Values

Returns `TRUE` on success or `FALSE` on failure. Returns string if `PGSQL_DML_STRING` is passed via options.

## Examples

Example 1. pg_delete() example
`<?php $db = pg_connect('dbname=foo'); // This is safe, since $_POST is converted automatically $res = pg_delete($db, 'post_log', $_POST); if ($res) { echo "POST data is deleted: $res\n"; } else { echo "User must have sent wrong inputs\n"; } ?>`

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

pg_convert()

Prev | Home | Next
pg_dbname | Up | pg_end_copy